﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerLookupListing.ascx.cs" Inherits="Core.Web.Admin.Controls.Listing.CustomerLookupListing" %>

<%@ Import Namespace="Core.Web" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:CustomerGridView runat="server" ID="Grid" ShowCheckBoxColumn="false">
                <Columns>
                  <List:GridColumn Header="Name" PropertyName="CustomerProfile.Name" Width="18"/>
                  <List:GridColumn Header="Email" PropertyName="Account.Email" Width="18"/>                  
                </Columns>
            </Grid:CustomerGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>