﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductMetaDataSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.ProductMetaDataSettings" %>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer">
  <Settings>
    <Settings:StringSetting runat="server" ID="ProductMetaTitle" SettingReference="ProductMetaTitle" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="ProductMetaKeywords" SettingReference="ProductMetaKeywords" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="ProductMetaDescription" SettingReference="ProductMetaDescription" ExtendedTemplate-HighlightOnFocus="true"/>
  </Settings>  
</uc:SettingEditor>
<div class="half-data-area">
  <%=SettingsConfig.Current.ProductMetaDataSettingsNote %>
</div>