﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CurrencyViewer.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Viewer.CurrencyViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import Namespace="Core.Web.Constants.UI" %>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/Currencies/CurrencyRatesViewer.ascx" TagPrefix="uc"
  TagName="CurrencyRates" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span>
                  <%= UI.Current.CountryDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CodeFieldView" InputToDisplayID="CodeLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="CodeLabel" runat="server" Template-PropertyName="CurrencyCode" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="NameLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="NameLabel" runat="server" Template-PropertyName="Name" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="DescriptionLabel" runat="server" Template-PropertyName="Description" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CurrensySymbolFieldView" InputToDisplayID="CurrensySymbolLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label runat="server" ID="CurrensySymbolLabel" Template-PropertyName="CurrencySymbol"/>
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="SymbolIsBeforeValueFieldView" InputToDisplayID="SymbolIsBeforeValueLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label runat="server" ID="SymbolIsBeforeValueLabel" 
                        Template-PropertyName="SymbolPosition"/>
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="InsertSpaceFieldView" InputToDisplayID="InsertSpaceLabel"/>
                      </td>
                      <td class="control-value">
                        <UI:Label runat="server" ID="InsertSpaceLabel" 
                        Template-DisplayName="Insert space between value and currency symbol"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
