﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HelpArticleEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.HelpArticlePages.HelpArticleEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/HelpArticleEditor.ascx" TagName="HelpArticleEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Binding/HelpArticleModulesEditor.ascx" TagPrefix="uc" TagName="HelpArticleModules" %>


<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="HelpArticleEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:HelpArticleTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:HelpArticleTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:HelpArticleEditor ID="HelpArticleEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:HelpArticleTabItem>
                                    <Tab:HelpArticleTabItem runat="server" ID="ModulesTab" 
                                    OnActivate="ModuleTabActivateHandler" ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:HelpArticleModules ID="HelpArticleModulesControl" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:HelpArticleTabItem>
                                </Items>
                            </Tab:HelpArticleTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
