﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DefaultLinkPaginator.ascx.cs" Inherits="Core.Web.Controls.Products.DefaultLinkPaginator" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>

<div class="Paginator">
  <ul>
    <%if (CurrentPage > 0) {%>
	    <li class="DirectionControler Back"><a href="<%=GetPageUrl(CurrentPage - 1)%>" title="<%=UI.Current.Back%>"><span class="png"><%=UI.Current.Back%></span></a></li>
	  <%} %>
    <%if (StartIndex > 0) {%>
      <li>&nbsp;...&nbsp;</li>
    <%} %>  	  
	  <% for (int i = StartIndex; i <= EndIndex; i++) { %>
      <%if (i == CurrentPage) {%>
        <li class="Current"><span class="ActPage"><%=(i + 1)%></span></li>
      <%} else { %>
        <li><a href="<%=GetPageUrl(i)%>"><%=(i + 1)%></a></li>
      <%} %>
    <%} %>	  
    <%if (EndIndex < PageCount - 1) {%>
      <li>&nbsp;...&nbsp;</li>
    <%} %>
    <%if (CurrentPage < PageCount - 1) {%>
	    <li class="DirectionControler Next"><a href="<%=GetPageUrl(CurrentPage + 1)%>" title="<%=UI.Current.Next%>"><span class="png"><%=UI.Current.Next%></span></a></li>
	  <%} %>
  </ul>
</div>