﻿<%@ Import namespace="Core.Web.Constants"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryAddressEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.DeliveryAddressEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Editor/DeliveryAddressListEditor.ascx" TagPrefix="uc" TagName="DeliveryAddressListEditor" %>
<%@ Register Src="~/Admin/Controls/Editor/DeliveryAddressTextEditor.ascx" TagPrefix="uc" TagName="DeliveryAddressTextEditor" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.DeliveryAddressDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Postcode.PostcodeBox)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PostcodeFieldView" InputToDisplayID="Postcode.PostcodeBox" />
                      </td>
                      <td class="control" style="padding-top: 1px">
                        <UI:PostcodeLookup ID="Postcode" runat="server" PostcodeBox-Template-PropertyName="Postcode"
                          PostcodeBox-CssClass="text-field text-field-400 button-fleft" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(AddressLine1)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AddressLine1FieldView" InputToDisplayID="AddressLine1" />
                      </td>
                      <td class="control">
                        <UI:AddressLineTextBox ID="AddressLine1" runat="server" LineNumber="0" Template-PropertyName="AddressLine1"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(AddressLine2)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AddressLine2FieldView" InputToDisplayID="AddressLine2" />
                      </td>
                      <td class="control">
                        <UI:AddressLineTextBox ID="AddressLine2" runat="server" LineNumber="1" Template-PropertyName="AddressLine2"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <uc:DeliveryAddressTextEditor ID="AddressFields" runat="server" Template-PropertyName="Town" />
                    <uc:DeliveryAddressListEditor ID="AddressLists" runat="server" Template-PropertyName="Town" />
                    <tr>
                      <td class="label">
                        <asp:Label runat="server" ID="IsMainFieldView" 
                        CssClass="<%=CssConstants.Current.AdminLabelClass%>" />
                      </td>
                      <td class="control">
                        <asp:CheckBox ID="IsMain" runat="server"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
