﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AutoCompletionKeywordListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Listing.AutoCompletionKeywordListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <Filter:FiltersArea runat="server" ID="Filters">
        <Filters>
          <UI:FilterTextBox runat="server" ID="SearchBox" />
        </Filters>
      </Filter:FiltersArea>
    </td>
  </tr>
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Grid:AutoCompletionKeywordGridView runat="server" ID="Grid">
        <Columns>
          <List:GridColumn Header="Text" PropertyName="Text" Width="70" />
          <Grid:AutoCompletionStatusColumn runat="server" CssClass="action-column cursor-hand"
            EnabledCssClass="enabled" DisabledCssClass="disabled" Width="7" InactiveCssClass="inactive-action-column"
            Header="Status" HeaderKey="Enabled" HeaderCssClass="" EnabledToolTip="Enabled"
            DisabledTooltip="Disabled" PropertyName="Enabled" />
        </Columns>
        <ActionColumns>
          <List:SaveActionColumn Header="Save" Width="3" CssClass="butt-save png cursor-hand"
            InactiveCssClass="button-invisible" />
          <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand"
            InactiveCssClass="button-invisible" />
          <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="button-invisible" />
          <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="button-invisible" />
        </ActionColumns>
        <inputrow>
                  <List:TextBoxColumn PropertyName="Text" CssClass="textbox-column" 
                  ControlCssClass="grid-input text-field text-field-160" />
                </inputrow>
      </Grid:AutoCompletionKeywordGridView>
    </td>
  </tr>
  <tr>
    <td>
      <List:ItemsCounter runat="server" ID="ItemsCounter" />
      <span class="grid-area-filter-item">
        <label class="line-label">
          <%=PageSize.FieldView%></label>
        <List:PageSizeChanger runat="server" ID="PageSize" />
      </span>
      <List:Paginator runat="server" ID="GridPaginator" />
    </td>
  </tr>
</table>
