﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AutoCompletionKeywordViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.AutoCompletionKeywordViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Import namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/AutoCompletionKeywords/AutoCompletedCategoriesViewer.ascx" 
TagName="AutoCompletedCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/AutoCompletionKeywords/AutoCompletedContentPagesViewer.ascx" 
TagName="AutoCompletedContentPages" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/AutoCompletionKeywords/AutoCompletedProductsViewer.ascx" 
TagName="AutoCompletedProducts" TagPrefix="uc" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.AutoCompletionKeywordDetails%></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="TextFieldView" InputToDisplayID="TextLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="TextLabel" runat="server" Template-PropertyName="Text" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value"/>
                                        <td class="control-value">
                                          <UI:BooleanLabel ID="EnabledLabel" runat="server" Template-PropertyName="Enabled" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                            <UI:StaticLabel runat="server" ID="AutoCompletedCategoriesLabel" Text="Categories:"/>
                                        </td>
                                        <td class="control-value">
                                           <uc:AutoCompletedCategories ID="AutoCompletedCategories" runat="server"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                            <UI:StaticLabel runat="server" ID="AutoCompletedContentPagesLabel" Text="Content Pages:"/>
                                        </td>
                                        <td class="control-value">
                                           <uc:AutoCompletedContentPages ID="AutoCompletedContentPages" runat="server"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                            <UI:StaticLabel runat="server" ID="AutoCompletedProductsLabel" Text="Products:"/>
                                        </td>
                                        <td class="control-value">
                                           <uc:AutoCompletedProducts ID="AutoCompletedProducts" runat="server"/>
                                        </td>
                                      </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
