﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ModuleViewer.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Viewer.ModuleViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ModuleDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Title" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="NameLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="NameLabel" runat="server" Template-PropertyName="Name" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ShortDescriptionFieldView" InputToDisplayID="ShortDescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ShortDescriptionLabel" runat="server" Template-PropertyName="ShortDescription" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:WysiwygLabel ID="DescriptionLabel" runat="server" Template-PropertyName="Description" />
                      </td>
                    </tr>
                    <%if (Entity != null && Entity.IsDisablingAvailable != null && (bool)Entity.IsDisablingAvailable)
                      { %>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="EnabledLabel" runat="server" Template-PropertyName="Enabled" />
                      </td>
                    </tr>
                    <% } %>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
