﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SupplierViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.SupplierViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.SupplierDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Title" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="ContactNameFieldView" InputToDisplayID="ContactNameLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="ContactNameLabel" runat="server" Template-PropertyName="ContactName" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="ContactPhoneFieldView" InputToDisplayID="ContactPhoneLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="ContactPhoneLabel" runat="server" Template-PropertyName="ContactPhone" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="EmailLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="EmailLabel" runat="server" Template-PropertyName="Email" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="StockPeriodView" InputToDisplayID="StockPeriodLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="StockPeriodLabel" runat="server" Template-PropertyName="StockPeriod.Name" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="NotesFieldView" InputToDisplayID="NotesLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="NotesLabel" runat="server" Template-PropertyName="Notes" />
                                        </td>
                                      </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
