﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ValidationSummary.ascx.cs" Inherits="Core.Web.Admin.PageElements.ValidationSummary" %>

<%@ Import namespace="iFramework.Core.Utilities"%>
<%@ Import namespace="iFramework.Core.Constants"%>

<div class="warning-box" runat="server" id="Messages">
    <Control:CollapsableBox runat="server" ID="CollapsableBox1" IsCollapsable="true">
        <Header>
            <h3><span><%=messages.OneOrMoreErrors%></span></h3>
        </Header>
        <Body>
            <ul>
                <asp:Repeater ID="ErrorsList" runat="server">
                    <ItemTemplate>
                        <li><%#TextUtility.FormatTextNoEncode(Eval("ErrorMessage") as String, 30)%></li>
                    </ItemTemplate>
                </asp:Repeater>
            </ul>
        </Body>
    </Control:CollapsableBox>
</div>