﻿<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MainMenu.ascx.cs" Inherits="Core.Web.Controls.Layout.MainMenu" %>

<%@ Import Namespace="Core.Web"%>
<%@ Import namespace="iFramework.Core.Utilities"%>
<%@ Import Namespace="Core.Web.Objects.Web" %>

<div class="GlobalNav">
  <ul>
    <asp:Repeater runat="server" ID="Items">
      <ItemTemplate>
        <li class="<%#GetCssClass(Container.DataItem as MenuEntry, Container.ItemIndex)%>">
          <a href="<%#Eval("Url")%>" style='background-image:url(<%#Global.ApplicationPath + Eval("Image")%>)'>
            <%#TextUtility.FormatText(Eval("Title") as String)%>
          </a>
        </li>
      </ItemTemplate>
    </asp:Repeater>
  </ul>
</div>

<script type="text/javascript">

  $(function() {
    $('.GlobalNav').mainMenu({
      templateUrl: '<%=UrlBuilder.MainMenuTemplateUrl%>', 
      serviceUrl:  '<%=UrlBuilder.MenuServiceUrl%>'
    });
  });

</script>