﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductRepeater.ascx.cs" Inherits="Core.Web.Controls.Products.ProductRepeater" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="Core.DBO.Entity.Products" %>

<asp:Repeater runat="server" ID="Items" OnItemDataBound="ProductDataBoundHandler">
  <ItemTemplate>
    <div class="Product">
      <dl class="PreView">
        <dt class="Image">
          <a runat="server" id="ImageLink">
            <img runat="server" id="Image" />
          </a>
        </dt>
        <dd class="Desc">
          <h3><a runat="server" id="TitleLink" /></h3>
          <p runat="server" id="Summary" />
          <div class="Options">
						<div class="Price" runat="server" id="Price"></div>
						<div class="Buy" runat="server" id="BuyArea"><a runat="server" id="BuyLink"></a></div>
          </div>
        </dd>
      </dl>
    </div>
  </ItemTemplate>
</asp:Repeater>
