﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="Core.Web.Login" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Customers/CustomerDetailsForm.ascx" TagName="CustomerDetailsForm" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
<uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
	  <div class="AreaContent">
		  <h2><%=UI.Current.LoginPageTitle%></h2>
		  <div class="SysInfo">
			  <p><%=String.Format(UI.Current.LoginMessageTemplate, "loginLink", "registerLink")%></p>

			  <script type="text/javascript">
			    
			    $('#loginLink').click(function() {
			      $('.login-field').focus();
			    });
			  			    
			    $('#registerLink').click(function() {
			      $('.ExpandedData').show();
			    });
			  
			  </script>
		  </div>
	  </div>
  </div>
  <div class="Area">
    <div class="FormSection">
      <h2><%=UI.Current.RegistrationSectionTitle%></h2>
      <Ajax:UpdatePanel runat="server" ID="DetailsUpdatePanel">
        <ContentTemplate>
          <uc:CustomerDetailsForm runat="server" ID="DetailsForm" IsExpanded="true"/>
	        <div class="FormControl FormControlIndent-B">
		        <ul class="Groups">
			        <li class="GroupA">
				        <ul>
					        <li><Front:SpanButton runat="server" OnClick="SaveHandler" ID="SaveButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
					        <li><Front:SpanButton runat="server" OnClick="ResetFields" ID="ResetButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-B" /></li>
				        </ul>
			        </li>
			        <li class="GroupB">
				        <ul>
					        <li>
						        <p class="Note"><%=UI.Current.MandatoryFieldsDisclaimer%></p>
					        </li>
				        </ul>
			        </li>
		        </ul>
	        </div>        
        </ContentTemplate>
      </Ajax:UpdatePanel>	          
    </div>
  </div>
</asp:Content>
