﻿/* 

    Author: Roman Zaharenkov
    Date:   26.06.2009

*/

-- Standard Alter Table SQL

--ALTER TABLE dbo.CurrencyRates DROP CONSTRAINT FK_CurrencyRates_Curren109

--EXEC sp_rename 'dbo.FK_CurrencyRates_Currencies','FK_CurrencyRates_DestinationCurrencies'

ALTER TABLE dbo.CustomerProfiles DROP CONSTRAINT FK_CustomerProfiles_Currencies

ALTER TABLE dbo.PaymentOrders ADD CurrencyID int  NULL

-- Add Referencing Foreign Keys SQL

ALTER TABLE dbo.CustomerProfiles ADD CONSTRAINT FK_CustomerProfiles_Currencies
FOREIGN KEY (CurrencyID)
REFERENCES dbo.Currencies (CurrencyID) 
ON DELETE SET NULL

ALTER TABLE dbo.PaymentOrders ADD CONSTRAINT FK_PaymentOrders_Currencies
FOREIGN KEY (CurrencyID)
REFERENCES dbo.Currencies (CurrencyID)